#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,96,144,192,240,480,960,1440,1680,1776,1824,1872,1920
 * N : 25,96,144,192,240,480,960,1440,1680,1776,1824,1872,1920
 * NB : 1,9,9,20,20,24,40,40,40,40,40,40,192
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 60) (nb_) = 1; \
   else if ((n_) < 168) (nb_) = 9; \
   else if ((n_) < 360) (nb_) = 20; \
   else if ((n_) < 720) (nb_) = 24; \
   else if ((n_) < 1896) (nb_) = 40; \
   else (nb_) = 192; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
